Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Aladdin
Class HaspTime

    java.lang.Object
      Aladdin.HaspTime

    public class HaspTime

extends java.lang.Object

Constructor Summary
`HaspTime(int year, int month, int day, int hour, int minute, int second)` HaspTime constructor.
`HaspTime(long hasptime)`

Method Summary
`int` | `getDay()` Returns the day value of the time.
`long` | `getHaspTime()` Returns the HASP Time value in UTC format.
`int` | `getHour()` Returns the hour value of the time.
`int` | `getLastError()` Returns the error that occurred in the last function call.
`int` | `getMinute()` Returns the minute value of the time.
`int` | `getMonth()` Returns the month value of the time.
`int` | `getSecond()` Returns the second value of the time.
`int` | `getYear()` Returns the year value of the time.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HaspTime

    public HaspTime(int year,
                    int month,
                    int day,
                    int hour,
                    int minute,
                    int second)

  HaspTime constructor.

  Parameters:
    `year` - input year
    `month` - input month
    `day` - input day
    `hour` - input hour
    `minute` - input minute
    `second` - input second

### HaspTime

    public HaspTime(long hasptime)

Method Detail

### getLastError

    public int getLastError()

  Returns the error that occurred in the last function call.

### getHaspTime

    public long getHaspTime()

  Returns the HASP Time value in UTC format.

### getMonth

    public int getMonth()

  Returns the month value of the time.

### getYear

    public int getYear()

  Returns the year value of the time.

### getDay

    public int getDay()

  Returns the day value of the time.

### getHour

    public int getHour()

  Returns the hour value of the time.

### getMinute

    public int getMinute()

  Returns the minute value of the time.

### getSecond

    public int getSecond()

  Returns the second value of the time.

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD